"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PageSection = /** @class */ (function () {
    function PageSection() {
    }
    /**
     * Creates HTML for a section containing a hierarchy diagram.
     * @param title The title of the section.
     * @param imageUrl The URL to the hierarchy diagram.
     * @param reflectionName The name of the reflection for which the hierarchy diagram was generated.
     * @returns The HTML for the section.
     */
    PageSection.createForHierarchyDiagram = function (title, imageUrl, reflectionName) {
        return "<section class=\"tsd-panel tsd-hierarchy-diagram\">\n                    <h3>" + title + "</h3>\n                    <a class=\"uml-class\" href=\"" + imageUrl + "\" title=\"Click to enlarge\">\n                        <img src=\"" + imageUrl + "\"\n                             alt=\"UML class diagram of " + reflectionName + "\" />\n                    </a>\n                </section>";
    };
    return PageSection;
}());
exports.PageSection = PageSection;
